import { RefObject } from "react";
import { Position } from "../models/position";
export declare const getStartingPosition: (pos: Position, offset?: number) => string;
export declare const getLeft: (left: number, dimension: number) => number;
export declare const getTop: (top: number, dimension: number) => number;
export declare type positionParams = {
    onPointerDown: () => void;
    onPointerUp: () => void;
    onDragStart: (p: {
        left: number;
        top: number;
    }) => void;
    onDragEnd: (p: {
        left: number;
        top: number;
    }) => void;
    onClosed: () => void;
    startPosition: Position;
    dimension?: number;
    startOffset?: number;
    onInit: (p: {
        left: number;
        top: number;
    }) => void;
    pin?: boolean;
};
export declare type usePositionType = <T extends HTMLElement>(p: positionParams) => {
    setup: (node: T) => void;
    ref: RefObject<T>;
};
